Libreoffice --- can't retrieve files

: Retrieving packages...
 libmwaw-0.3.22-1.1-x86_64.pkg.tar.zst failed to download
 libstaroffice-0.0.7-2.1-x86_64.pkg.tar.zst failed to download
 libwps-0.4.14-1.1-x86_64.pkg.tar.zst failed to download
 libwpd-0.10.3-4.1-x86_64.pkg.tar.zst failed to download
 libfreehand-0.1.2-4.1-x86_64.pkg.tar.zst failed to download
 librevenge-0.0.5-2.1-x86_64.pkg.tar.zst failed to download
 libodfgen-0.1.8-2.1-x86_64.pkg.tar.zst failed to download
 libabw-0.1.3-3.1-x86_64.pkg.tar.zst failed to download
 libepubgen-0.1.1-4.1-x86_64.pkg.tar.zst failed to download
 libnumbertext-1.0.11-1.1-x86_64.pkg.tar.zst failed to download
 Total (10/13)                                9,9 MiB  1279 KiB/s 00:08 [----------------------------------------] 100%
error: failed retrieving file 'libmwaw-0.3.22-1.1-x86_64.pkg.tar.zst' from us.cachyos.org : The requested URL returned error: 404
error: failed retrieving file 'libstaroffice-0.0.7-2.1-x86_64.pkg.tar.zst' from us.cachyos.org : The requested URL returned error: 404
error: failed retrieving file 'libodfgen-0.1.8-2.1-x86_64.pkg.tar.zst' from us.cachyos.org : The requested URL returned error: 404
warning: too many errors from us.cachyos.org, skipping for the remainder of this transaction

Always do pacman -Syu <package> instead. If you want to install only one package and not update your system, then do pacman -Sy <package> (This is not recommended by Arch Linux developers System maintenance - ArchWiki)

2 Likes

Using -Sy runs the risk of partially upgrading the system.

1 Like